#include "afflib.h"			
#include "afflib_i.h"			// grab the internal versions
#include "aimage.h"
#include "imager.h"
#include "ident.h"

void usage()
{
    printf("usage: ident <filename>\n");
    exit(0);
}

int main(int argc,char **argv)
{
    if(argc<2){
	usage();
    }
    ident id(argv[1]);
    printf("device_model=%s\n",id.device_model);
    printf("serial_number=%s\n",id.serial_number);
    printf("firmware_revision=%s\n",id.firmware_revision);

    if(id.is_scsi()){
	printf("is_scsi   bus=%d tid=%d lun=%d pass=%d\n",
	       id.scsi_bus,id.scsi_tid,id.scsi_lun,id.scsi_pass);
    }
    if(id.is_ata()){
	printf("is_ata   dev=%d  primary=%d master=%d \n",
	       id.ata_dev,id.ata_primary,id.ata_master);
    }

    printf("MAC Addresses:\n%s",ident::mac_addresses());



    return 0;
}
